CVE-2017-14504

Published: 17 September 2017

ReadPNMImage in coders/pnm.c in GraphicsMagick 1.3.26 does not ensure the correct number of colors for the XV 332 format, leading to a NULL Pointer Dereference.

From the Ubuntu security team

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service or other unspecified impact.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
graphicsmagick
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(1.3.26-11)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.3.26-11)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(1.3.26-11)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (1.3.23-1ubuntu0.4)
Ubuntu 14.04 ESM (Trusty Tahr) Needed

Ubuntu 12.04 ESM (Precise Pangolin) Does not exist